import React, { Component, PropTypes } from 'react';
import classNames from 'classnames';
import './DialogBox.scss';

class DialogBox extends Component {

  static propTypes = {
    backgroundColor: PropTypes.string,
    isVisible      : PropTypes.bool.isRequired,
    onClickOut     : PropTypes.func
  };

  static defaultProps = {
    backgroundColor: 'rgba(0,0,0,.5)',
    onClickOut     : new Function()
  };

  constructor(props) {
    super(props);

    this._handleClickOut = this._handleClickOut.bind(this);
  }

  _handleClickOut(e) {
    if (e.target == this.refs.root)
      this.props.onClickOut();
  }

  render() {
    const { backgroundColor, isVisible } = this.props;

    return (
      <div
        ref="root"
        className={classNames('DialogBox', { isVisible })}
        style={{ backgroundColor }}
        onClick={this._handleClickOut}
      >
        <div className="whiteBox">
          {this.props.children}
        </div>
      </div>
    );
  }
}


export default DialogBox;
