import React, { Component, PropTypes } from 'react';

import './ErrorMessage.scss';

class ErrorMessage extends Component {
  static propTypes = {
    error: PropTypes.node
  };

  static defaultProps = {
    hide : false,
    error: null
  };

  render() {
    const { error } = this.props;

    if (!error) return null;

    return (
      <div className="ErrorMessage">
        { Array.isArray(error) ? error.join('; ') : error }
      </div>
    );
  }
}


export default ErrorMessage;
