import React, { PropTypes } from 'react';
import { OverlayView } from 'react-google-maps';

function RestaurantMarker({ position, size, mapHolderRef }) {
  const rootProps = {
    mapPaneName           : OverlayView.MARKER_LAYER,
    position              : position,
    mapHolderRef          : mapHolderRef,
    getPixelPositionOffset: () => ({ x: -size / 2, y: -size / 2 })
  };

  const svgStyle = {
    width : size,
    height: size
  };

  //@formatter:off
  return (
    <OverlayView {...rootProps}>
      <svg height="40" width="40" style={svgStyle}>
        <circle cx="20" cy="20" r="12" stroke="rgba(27,60,123,.4)" strokeWidth="8" fill="transparent" />
        <circle cx="20" cy="20" r="3.6" fill="rgba(27,60,123,.9)" />
      </svg>
    </OverlayView>
  );
  //@formatter:on
}

RestaurantMarker.propTypes = {
  position: PropTypes.shape({
    lat: PropTypes.number,
    lng: PropTypes.number,
  }),
  size    : PropTypes.number
};

RestaurantMarker.defaultProps = {
  size: 40
};

export default RestaurantMarker;

